from portkey_ai import Portkey
# Initialize the Portkey client
portkey = Portkey(
api_key="PORTKEY_API_KEY",
)
# Create a new API key
api_key = portkey.api_keys.create(
name="API_KEY_NAME_0909",
type="organisation",
sub_type="service",
workspace_id="WORKSPACE_ID",
scopes=[
"logs.export",
"logs.list",
"logs.view",
"configs.create",
"configs.update",
"configs.delete",
"configs.read",
"configs.list",
"virtual_keys.create",
"virtual_keys.update",
"virtual_keys.delete",
"virtual_keys.read",
"virtual_keys.list",
"virtual_keys.copy"
]
)
print(api_key){
"id": "183f497a-2a7f-4f47-992e-26213fa863we",
"key": "abssofjosfjs",
"object": "api-key"
}Create API Key
Creates a new API key.
POST
/
api-keys
/
{type}
/
{sub-type}
from portkey_ai import Portkey
# Initialize the Portkey client
portkey = Portkey(
api_key="PORTKEY_API_KEY",
)
# Create a new API key
api_key = portkey.api_keys.create(
name="API_KEY_NAME_0909",
type="organisation",
sub_type="service",
workspace_id="WORKSPACE_ID",
scopes=[
"logs.export",
"logs.list",
"logs.view",
"configs.create",
"configs.update",
"configs.delete",
"configs.read",
"configs.list",
"virtual_keys.create",
"virtual_keys.update",
"virtual_keys.delete",
"virtual_keys.read",
"virtual_keys.list",
"virtual_keys.copy"
]
)
print(api_key){
"id": "183f497a-2a7f-4f47-992e-26213fa863we",
"key": "abssofjosfjs",
"object": "api-key"
}Documentation Index
Fetch the complete documentation index at: https://portkey-docs-mintlify-gemini-context-caching-1774427736.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
Authorizations
Path Parameters
Available options:
organisation, workspace Available options:
user, service Body
application/json
Example:
"Development API Key"
Example:
["completions.write"]Example:
"API key for development environment"
Example:
"ws-myworkspace"
Required when sub-type path parameter is 'user'. Not required when sub-type is 'service'.
Example:
"c3d4e5f6-a7b8-6c7d-0e1f-2a3b4c5d6e7f"
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Example:
{
"credit_limit": 10,
"periodic_reset": "monthly",
"alert_threshold": 8
}Show child attributes
Show child attributes
Last modified on March 25, 2026
Was this page helpful?
⌘I

